libgutenprint API Reference 5.3.4-2022-06-24T01-00-8808d602

Data Fields
stp_papersize_t Struct Reference
papersize

The papersize data type. More...

`#include <paper.h>`

## Data Fields
const char * | name
| Short unique name (not translated). More...
const char * | text
| Long descriptive name (translated). More...
const char * | comment
| Comment. More...
stp_dimension_t | width
| Paper width. More...
stp_dimension_t | height
| Paper height. More...
stp_dimension_t | top
| Top margin. More...
stp_dimension_t | left
| Left margin. More...
stp_dimension_t | bottom
| Bottom margin. More...
stp_dimension_t | right
| Right margin. More...
stp_papersize_unit_t | paper_unit
| Units of measurement. More...
stp_papersize_type_t | paper_size_type
| Paper size type. More...

## Detailed Description

The papersize data type.

## Field Documentation

## ◆ bottom

stp_dimension_t stp_papersize_t::bottom

Bottom margin.

## ◆ comment

const char* stp_papersize_t::comment

Comment.

## ◆ height

stp_dimension_t stp_papersize_t::height

Paper height.

## ◆ left

stp_dimension_t stp_papersize_t::left

Left margin.

## ◆ name

const char* stp_papersize_t::name

Short unique name (not translated).

## ◆ paper_size_type

stp_papersize_type_t stp_papersize_t::paper_size_type

Paper size type.

## ◆ paper_unit

stp_papersize_unit_t stp_papersize_t::paper_unit

Units of measurement.

## ◆ right

stp_dimension_t stp_papersize_t::right

Right margin.

## ◆ text

const char* stp_papersize_t::text

Long descriptive name (translated).

## ◆ top

stp_dimension_t stp_papersize_t::top

Top margin.

## ◆ width

stp_dimension_t stp_papersize_t::width

Paper width.

The documentation for this struct was generated from the following file:

- include/gutenprint/paper.h